<template>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <a class="navbar-brand" href="#">Interview</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
        <div class="navbar-nav">
          <a class="nav-item nav-link" v-on:click="changeTabHeader('add_customer')" v-bind:class="{active: type_of_tab==='add_customer'}" style="cursor: pointer;">Add Customer</a>
          <a class="nav-item nav-link" v-on:click="changeTabHeader('list_customer')" v-bind:class="{active: type_of_tab==='list_customer'}" style="cursor: pointer;">List Customer</a>
        </div>
      </div>
    </nav>
</template>

<script>
export default {
    name: 'headercomponent',
    data () {
        return {
        }
    },
    methods: {
        changeTabHeader(type_of_new_tab){
            this.$emit('change_tab_event', type_of_new_tab);
        }
    },
    computed: {

    },
    components:{
    },
    props: {
        type_of_tab: {
            type: String,
            default: 'add_customer'
        }
    }
}
</script>

<style>
    .navbar-nav .nav-link, .navbar-brand{
        font-weight: bold;
    }
    .active{
        color: #05206e;
    }
</style>